@use 'partials/variables/header';

.nav-list {
  margin: auto 6px;
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  padding-left: inherit;
  width: 100%;
}

.nav-button {
  display: inline-block;
  text-decoration: none;
  position: relative;
  transition: all 0.3s ease;
  height: header.$nav-button-height;
  font-size: 16px;
  margin-left: 20px;
}

.nav-button::after {
  content: "";
  position: absolute;
  height: 4px;
  left: 50%;
  bottom: header.$nav-button-underline-pos;
  transform: translateX(-50%);
  transition: 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55) all;
}

.nav-button.isActive::after {
  width: 100%;
}

.nav-button:hover::after {
  width: 100%;
}